#include <bits/stdc++.h>

using namespace std;

int suma(int x){
    return (x*(x+1))/2;
}

int fun(int x, int y){
    int sum=0;


    if (x % y == 0)
    {
        for(int i=0;i<y;i++)
            sum+=suma(x/y);
    }
    else
    {
        int zp = y - (x % y);
        int pp = x/y;
        for(int i=0;i<y;i++)
        {
            if(i>= zp)
                sum+=suma(pp+1);
            else
                sum+=suma(pp);
        }
    }

    return sum;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    int t;
    cin>>t;
    string ans[t];
    for(int i=0;i<t;++i){
        int n,m,k;
        cin >> n >> m >> k;
        bool zadovoljava = false;
        int br = fun(n,k);

        if(br<=m){
            zadovoljava=true;
        }

        if(zadovoljava){
            ans[i]="Tak";
        }
        else{
            ans[i]="Nie";
        }
    }
    for(int i=0;i<t;++i){
        cout << ans[i] <<endl;
    }
    return 0;
}